Skip to main content
`Ctrl`+`K`

# SequenceAnimator

class ndcube.visualization.mpl_sequence_plotter.SequenceAnimator(

  sequence,
  sequence_axis_coords=None,
  sequence_axis_unit=None,
  **kwargs,

)

  Bases: `ArrayAnimatorWCS`

  Animate an NDCubeSequence of NDCubes with >1 dimension.

  The sequence axis is always set as a sliders axis. All kwargs are passed to `ndcube.NDCube.plot`. The bulk of the plotting work is performed by `ndcube.NDCube.plot` which is assumed to exist and to call a matplotlib-based animator.

  Parameters:

    - sequence (`NDCubeSequence`) – The sequence to animate.

    - sequence_axis_coords (`str` or array-like, optional) – The real world value of each step along the sequence axis. If `str`, the values are taken from `ndcube.NDCubeSequence.sequence_axis_coords`.

    - sequence_axis_unit (`str` or `astropy.units.Unit`, optional) – The unit in which to display the sequence_axis_coords.